std::__detail::_Node_iterator_base< _Value, _Cache_hash_code > Struct Template Reference
Base and Implementation Classes
Inheritance diagram for std::__detail::_Node_iterator_base< _Value, _Cache_hash_code >:
[legend]

## Public Types

using | __node_type = _Hash_node< _Value, _Cache_hash_code >

## Public Member Functions

| _Node_iterator_base (__node_type *__p)
void | _M_incr ()

## Public Attributes

__node_type * | _M_cur

## Detailed Description

### template<typename _Value, bool _Cache_hash_code>
struct std::__detail::_Node_iterator_base< _Value, _Cache_hash_code >

Base class for node iterators.

Definition at line 203 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h